Core

## Classes

class | QXmppLogger
| The QXmppLogger class represents a sink for logging messages. More...
class | QXmppLoggable
| The QXmppLoggable class represents a source of logging messages. More...
class | QXmppClient
| The QXmppClient class is the main class for using QXmpp. More...
class | QXmppClientExtension
| The QXmppClientExtension class is the base class for QXmppClient extensions. More...
class | QXmppServer
| The QXmppServer class represents an XMPP server. More...
class | QXmppServerExtension
| The QXmppServerExtension class is the base class for QXmppServer extensions. More...

## Enumerations

enum | QXmppLogger::LoggingType { QXmppLogger::NoLogging = 0, QXmppLogger::FileLogging = 1, QXmppLogger::StdoutLogging = 2, QXmppLogger::SignalLogging = 4 }
| This enum describes how log message are handled. More...
enum | QXmppLogger::MessageType { QXmppLogger::NoMessage = 0, QXmppLogger::DebugMessage = 1, QXmppLogger::InformationMessage = 2, QXmppLogger::WarningMessage = 4, QXmppLogger::ReceivedMessage = 8, QXmppLogger::SentMessage = 16, QXmppLogger::AnyMessage = 31 }
| This enum describes a type of log message. More...
enum | QXmppClient::Error { QXmppClient::NoError, QXmppClient::SocketError, QXmppClient::KeepAliveError, QXmppClient::XmppStreamError }
enum | QXmppClient::State { QXmppClient::DisconnectedState, QXmppClient::ConnectingState, QXmppClient::ConnectedState }
| This enumeration describes a client state. More...

## Detailed Description

## Enumeration Type Documentation

enum QXmppClient::Error

An enumeration for type of error. Error could come due a TCP socket or XML stream or due to various stanzas.

Enumerator
NoError | No error.
SocketError | Error due to TCP socket.
KeepAliveError | Error due to no response to a keep alive.
XmppStreamError | Error due to XML stream.

enum QXmppLogger::LoggingType

This enum describes how log message are handled.

Enumerator
NoLogging | Log messages are discarded.
FileLogging | Log messages are written to a file.
StdoutLogging | Log messages are written to the standard output.
SignalLogging | Log messages are emitted as a signal.

enum QXmppLogger::MessageType

This enum describes a type of log message.

Enumerator
NoMessage | No message type.
DebugMessage | Debugging message.
InformationMessage | Informational message.
WarningMessage | Warning message.
ReceivedMessage | Message received from server.
SentMessage | Message sent to server.
AnyMessage | Any message type.

enum QXmppClient::State

This enumeration describes a client state.

Enumerator
DisconnectedState | Disconnected from the server.
ConnectingState | Trying to connect to the server.
ConnectedState | Connected to the server.